/*
 * Copyright 2011-2012 BitMeister Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package jp.bitmeister.asn1.exception;

/**
 * The exception indicates that the type definition is illegal.
 * 
 * @author WATANABE, Jun. <jwat at bitmeister.jp>
 */
@SuppressWarnings("serial")
public class ASN1IllegalDefinition extends ASN1RuntimeException {

	/**
	 * Instantiate an {@code ASN1IllegalDefinition}.
	 */
	public ASN1IllegalDefinition() {
	}
	
	/**
	 * Instantiate an {@code ASN1IllegalDefinition} with specified error message.
	 * 
	 * @param message
	 *            The error message.
	 */
	public ASN1IllegalDefinition(String message) {
		super(message);
	}

}
